{
    "files.exclude": {
        "**/__pycache__": true
    },
    "editor.tabSize": 4,
    "editor.insertSpaces": true,
    "editor.codeActionsOnSave": {
        "source.organizeImports": "explicit",
        "source.sortImports": "explicit"
    },
    "diffEditor.ignoreTrimWhitespace": false,
    "debug.showVariableTypes": true,
    "git.suggestSmartCommit": false,
    "git.autofetch": true,
    "git.openRepositoryInParentFolders": "always",
    "git.confirmSync": false,
    "[python]": {
        "editor.defaultFormatter": "ms-python.black-formatter",
    },
    "python.languageServer": "Pylance",
    "python.analysis.typeCheckingMode": "basic",
    "python.analysis.autoImportCompletions": true,
    "isort.args": [
        "--profile",
        "black"
    ],
}